Bug 84168 - oprofile driver should accept hex values
Summary: oprofile driver should accept hex values
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://www.uwsg.indiana.edu/hypermail...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 23:30 UTC by William Cohen
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version: /kernel-2.4.22-1.2115.nptl.src.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 21:06:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Cohen 2003-02-12 23:30:40 UTC
Description of problem:

Files in /dev/oprofile/ should be able to accept hex value, e.g. 0xf stated in
the oprofile documentation. 


Version-Release number of selected component (if applicable):

kernel-2.4.20-2.41, oprofile-0.4-40

How reproducible:

On p4 machine

Steps to Reproduce:
1. opcontrol --setup --ctr3-event=INSTR_RETIRED --ctr3-count=240000
--ctr3-unit-mask=0xf --vmlinux=/boot/vmlinux-2.4.20-2.41smp
2. opcontrol --start
3.
    
Actual results:

oprofiled: ctr3: 0x00: invalid unit mask for cpu P4 / Xeon
Couldn't start oprofiled.

Expected results:

oprofile starts without problem.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.